package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: YelpDto
 * 作者: Zizg
 * 时间: 2023/2/10
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("点评或回复Dto")
@Data
public class YelpDto implements Serializable {

    @ApiModelProperty("专辑ID")
    private String albumId;

    @ApiModelProperty("类型 1-点评  2-回复")
    private Integer type;

    @ApiModelProperty("点评内容")
    private String content;

    @ApiModelProperty("回复点评ID 对应专辑的点评ID")
    private String yelpId;
}
