
/**
 * <pre>
 *
 * 描述：业务--知识审批节点表实体类定义
 * 表:KM_KNOWLEDGE_APPROVAL_NODE
 * 作者：zhang_zhe
 * 日期:2022-11-23 09:47:26
 * </pre>
 */
package com.redxun.knowledge.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_KNOWLEDGE_APPROVAL_NODE_FLOWER")
public class KnowledgeApprovalNodeFlower extends BaseExtEntity<String> {

    @JsonCreator
    public KnowledgeApprovalNodeFlower() {
    }

    //主键
    @TableId(value = "PK_ID", type = IdType.ASSIGN_ID)
    private String pkId;
    //流程名称
    @TableField(value = "FLOWER_NAME")
    private String flowerName;
    //分类id
    @TableField(value = "CATEGORY_ID")
    private String categoryId;
    //删除标记
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;

    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }


    /**
     生成子表属性的Array List
     */

}



