
/**
 * <pre>
 *
 * 描述：业务--知识审批节点表实体类定义
 * 表:KM_KNOWLEDGE_APPROVAL_NODE
 * 作者：zhang_zhe
 * 日期:2022-11-23 09:47:26
 * </pre>
 */
package com.redxun.knowledge.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;


@Data
public class KnowledgeApprovalNodeDto {

    //节点名称
    @NotBlank(message = "节点名称不能为空")
    private String name;
    //审批人ID;人员或者部门ID
    private String approverId;
    //审批人名称;可以是人员或者部门名称
    private String approverName;
    //是否为最终节点
    @NotNull(message = "请选择是否是最终节点")
    private Integer isFinal;

}



