package com.redxun.knowledge.map.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.entity.dao.Banner;
import com.redxun.knowledge.map.entity.dao.MapGroupPurviewUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 业务--知识地图组织可阅读者表数据库访问层
 */
@Mapper
public interface MapGroupPurviewUserMapper extends BaseDao<MapGroupPurviewUser> {

    IPage findAllMapGroupPurviewUser(IPage<Banner> page, @Param("params") java.util.Map<String, Object> params, @Param("order") java.util.Map<String, Object> order);

    String findGroupSummary(String userId);

}
