package com.redxun.config;

import com.alibaba.druid.pool.DruidDataSource;
import com.redxun.log.properties.LogDbProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.core.JdbcTemplate;

/**
 * 文件名: SystemConfig
 * 作者: Zizg
 * 时间: 2023/1/12
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Configuration
public class SystemConfig {

    @Bean
    public LogDbProperties logDbProperties() {
        return new LogDbProperties();
    }

    @Bean
    public JdbcTemplate jdbcTemplate() {
        return new JdbcTemplate(new DruidDataSource());
    }
}
