package com.redxun.knowledge.album.entity.enums;

import lombok.Data;

/**
 * 文件名: AlbumEnum
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum AlbumInfoEnum {

    ALBUM_CLOSE(0, "专辑关闭"),
    ALBUM_OPEN(1, "专辑开启");

    private Integer code;
    private String message;

    AlbumInfoEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(Integer code) {
        AlbumInfoEnum[] albumInfoEnums = values();
        for (AlbumInfoEnum albumInfoEnum : albumInfoEnums) {
            if (albumInfoEnum.code.equals(code)) {
                return albumInfoEnum.message;
            }
        }
        return null;
    }
}